Skip to main content
get/v2/workflows/logs
Request example
Response
get/v2/workflows/logs

Authorization

Authorizationstringheaderrequired#
QStash authentication token

1 alternative authorization method available — see the spec for details.

Query parameters

cursorstring#
Pagination cursor for fetching the next page of results.
workflowUrlstring#
Filter by workflow URL (exact match). Must start with http:// or https://.
workflowRunIdstring#
Filter by specific workflow run ID..
workflowCreatedAtinteger#
Filter by workflow creation timestamp in milliseconds (Unix timestamp).
workflowRunsstring#

Filter by multiple workflow runs. Provide a comma-separated list of workflowRunId@workflowCreatedAt pairs to query specific runs in a single request.

Example: workflowRuns=ID1@TS1,ID2@TS2

When this parameter is provided, all other filters are ignored.

statestring#

Filter by workflow or step state. Common states include:

ValueDescription
RUN_STARTEDThe workflow has started to run and currently in progress.
RUN_SUCCESSThe workflow run has completed succesfully.
RUN_FAILEDSome errors has occured and workflow failed after all retries.
RUN_CANCELEDThe workflow run has canceled upon user request.
STEP_SUCCESSThe step succesfully fnished.
STEP_RETRYThe step is being retried.
STEP_FAILEDThe step is failed.
STEP_PROGRESSThe step is in progress.
STEP_CANCELEDThe step is cancelled manually.
fromDateinteger#
Filter events from this date onwards in milliseconds (Unix timestamp). Inclusive.
toDateinteger#
Filter events up to this date in milliseconds (Unix timestamp). Inclusive.
countinteger#

Maximum number of results to return per page.

  • Event mode: Max 1000 (default 1000)
  • Run mode (groupBy=workflowRunId): Max 10 (default 10)

Default: 1000

Range: <= 1000

trimBodyinteger#

Trim request/response bodies to this many bytes. Use -1 to exclude bodies entirely.
Useful for reducing response size when bodies are large.

Default: -1

labelstring[]#

Filter workflow run by label. Supports multi-value filtering. You can pass multiple values to match workflow runs with any of the given labels (OR logic).

Examples:

  • label=my_label
  • label=label_1&label=label_2
flowControlKeystring#
Filter workflow run by the flow control key assigned by the user on trigger.
callerIpstring#
Filter workflow run by the callerIp that started to workflow run.

Responses

application/json
Workflow logs retrieved successfully
cursorstring#
Pagination cursor for the next page. Empty if no more results.
runsobject[]#
Array of complete workflow runs with all steps and metadata.